curl --request GET \
--url https://api.lumos.com/appstore/access_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/appstore/access_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/appstore/access_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/appstore/access_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/appstore/access_requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/appstore/access_requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/appstore/access_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"app_id": "<string>",
"app_name": "<string>",
"target_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"status": "PENDING",
"requester_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"supporter_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"notes": {},
"expires_at": "2023-11-07T05:31:56Z",
"expiration_in_seconds": 123,
"requestable_permissions": [
{
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
}
],
"requested_at": "2023-11-07T05:31:56Z",
"tasks": [
{
"id": "<string>",
"task_type": "<string>",
"task_category": "MANAGER_APPROVAL",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"instructions": "<string>",
"product_area": "ACCESS_REVIEWS",
"app": {
"id": "<string>"
},
"target_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"resolved_by": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"assignees": [
{
"id": "<string>",
"type": "USER",
"name": "<string>",
"email": "<string>"
}
],
"actions": [
{
"action_type": "<string>",
"transitions": [
{
"transition_to": "PENDING"
}
]
}
],
"comments": [
{
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
}
}
],
"access_request_id": "<string>",
"requestable_permission_id": "<string>"
}
],
"custom_fields": [
{
"prompt": "<string>",
"response": "<string>"
}
]
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Access Requests
Get all access requests for the current organization.
curl --request GET \
--url https://api.lumos.com/appstore/access_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/appstore/access_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/appstore/access_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/appstore/access_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/appstore/access_requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/appstore/access_requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/appstore/access_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"app_id": "<string>",
"app_name": "<string>",
"target_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"status": "PENDING",
"requester_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"supporter_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"notes": {},
"expires_at": "2023-11-07T05:31:56Z",
"expiration_in_seconds": 123,
"requestable_permissions": [
{
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
}
],
"requested_at": "2023-11-07T05:31:56Z",
"tasks": [
{
"id": "<string>",
"task_type": "<string>",
"task_category": "MANAGER_APPROVAL",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"instructions": "<string>",
"product_area": "ACCESS_REVIEWS",
"app": {
"id": "<string>"
},
"target_user": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"resolved_by": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
},
"assignees": [
{
"id": "<string>",
"type": "USER",
"name": "<string>",
"email": "<string>"
}
],
"actions": [
{
"action_type": "<string>",
"transitions": [
{
"transition_to": "PENDING"
}
]
}
],
"comments": [
{
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"status": "STAGED"
}
}
],
"access_request_id": "<string>",
"requestable_permission_id": "<string>"
}
],
"custom_fields": [
{
"prompt": "<string>",
"response": "<string>"
}
]
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filters requests by the ID of the target user.
Filters requests by the ID of the requesting user.
Filters requests by the ID of the user.
Filters requests by their status. Possible values: 'PENDING', 'PENDING_MANAGER_APPROVAL', 'MANAGER_APPROVED', 'MANAGER_DENIED', 'PENDING_APPROVAL', 'APPROVED', 'DENIED', 'EXPIRED', 'CANCELLED', 'PENDING_PROVISIONING', 'PENDING_MANUAL_PROVISIONING', 'DENIED_PROVISIONING', 'PROVISIONED', 'PENDING_DEPROVISIONING', 'PENDING_MANUAL_DEPROVISIONING', 'TIME_BASED_EXPIRED', 'COMPLETED', 'REVERTING', 'REVERTED', 'TIME_BASED_EXPIRED_FAILED', 'TIME_BASED_EXPIRED_CANCELLED'
PENDING, PENDING_MANAGER_APPROVAL, MANAGER_APPROVED, MANAGER_DENIED, PENDING_APPROVAL, APPROVED, DENIED, EXPIRED, CANCELLED, PENDING_PROVISIONING, PENDING_MANUAL_PROVISIONING, DENIED_PROVISIONING, PROVISIONED, PENDING_DEPROVISIONING, PENDING_MANUAL_DEPROVISIONING, TIME_BASED_EXPIRED, COMPLETED, REVERTING, REVERTED, TIME_BASED_EXPIRED_FAILED, TIME_BASED_EXPIRED_CANCELLED Sort access requests ascending (ASC) or descending (DESC) by created date.
Fields to expand. Supported values: tasks, custom_fields.
Page number
x >= 1Page size
1 <= x <= 100